MP4(3)

NAME

MP4GetTrackESConfiguration - Get the elementary stream (ES) configuration of a track

SYNTAX

#include <mp4.h>

void MP4GetTrackESConfiguration(
    MP4FileHandle hFile,
    MP4TrackId trackId
    u_int8_t** ppConfig,
    u_int32_t* pConfigSize
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the ES configuration is desired.

ppConfig
    Specifies a pointer to a pointer variable that will be given the address of the configuration information.

pConfigSize
    Specifies a pointer to a variable to hold the size of the ES configuration information.

RETURN VALUES

Upon success, *ppConfig will point to a malloc'd block of memory with the ES configuration, and *pConfigSize will indicated the number of bytes of the ES configuration. Upon error, *ppConfig will be NULL, and *pConfigSize will be 0.

DESCRIPTION

MP4GetTrackESConfiguration returns the elementary stream (ES) configuration of the specified track in the mp4 file. This information is codec specific and contains the configuration necessary for the given codec to decode the samples in the track.

Caveat: the returned block of memory has been malloc'd. The caller may safely modify the value without effecting the library, but the caller takes responsiblity for free'ing the memory.

SEE ALSO

MP4(3)